2.15 den 2.21'e yükseltme sorusu

Sürüm güncelleme ve kod değişiklikleri.

2.15 den 2.21'e yükseltme sorusu

İleti TuGhAn 13.09.2006, 16:17

Merhaba arkadaşlar, daha önceki tek tek sürüm yükseltmelerimde sorunlar yaşadığımdan hangi sürümde olduğumdan bile emin değilim ve başka bir yöntem ile yeni sürüme geçmek düşüncesindeyim. Hostumda yeni bir veritabanı oluşturup hosta attığım 2. phpbb olan 2.21 versiyonu phpbb'yi üzerine kursam. Daha sonra config dosyasından veritabanını eskisi ile değiştirsem. O veritabanına da sırayla "update to latest" ları uygulasam... Sizce bu fikirim işe yarar mı? Pek kullanşlı olan bir bilgisayar başında değilim ve kısıtlı bir zamanım var. Modlar falan önemli değil zaten, sonra tekrar kurarım. Şimdiden yardım edeceklere çok teşekkürler...
Kullanıcı avatarı
TuGhAn
Üye
Üye
 
İleti: 8
Kayıt: 02.02.2006, 15:09

İleti madozan 13.09.2006, 16:58

mantık olarak işlemesi gerekiyo ama dedin gbi modlar gidicek :)
madozan
Üye
Üye
 
İleti: 195
Kayıt: 27.03.2006, 17:07
Konum: İstanbul

İleti

Matmazella
13.09.2006, 19:22

Eğer hiç mod yok veya birkaç kolay mod varsa güncellemenin en hızlı ve güvenli yolu şudur:

2.0.21 dosyalarını kendi dosyalarınız üzerine yazın, sizin sürüm herhangi bir sürüm olabilir. Sadece :file: config.php kalsın, onu değiştirmeyin. Sonra sadece, dikkat sadece diyorum, phpbb 2.0.21'nin veya son sürüm ne ise onun :file: update_latest.php dosyasını çalıştırın.

Dosyayı incelerseniz içerisinde sürümlerin denetlendiğini görürsünüz.
Kullanıcı avatarı
Matmazella
Site Yöneticisi
Site Yöneticisi
 
İleti: 2563
Kayıt: 30.06.2005, 09:08

İleti Vinsanity 14.09.2006, 00:20

Neden sadece en son sürümdeki :file: update_to_latest.php yi çalıştırması yetiyor?
O arada mesela database'e sessions_keys tablosu falan eklenmişti. O tablolarıda oluştururmu en son sürümdeki :file: update_to_latest.php ?
Yanlış anlaşılma olmasın. Gerçekten bilmediğimden soruyorum.
Kullanıcı avatarı
Vinsanity
Üye
Üye
 
İleti: 732
Kayıt: 05.10.2005, 21:00
Konum: Ankara

İleti TuGhAn 14.09.2006, 08:15

Dediğim şekilde yaptım ve forum çalıştı. Forumun eski halinde epeyce mod olduğundan uzun bir süre de modları geri yüklemeye uğraşacağım. Teşekkürler cevaplarınız için :)
Kullanıcı avatarı
TuGhAn
Üye
Üye
 
İleti: 8
Kayıt: 02.02.2006, 15:09

İleti

Matmazella
14.09.2006, 15:15

Vinsanity yazdı:Neden sadece en son sürümdeki :file: update_to_latest.php yi çalıştırması yetiyor?
O arada mesela database'e sessions_keys tablosu falan eklenmişti. O tablolarıda oluştururmu en son sürümdeki :file: update_to_latest.php ?
Yanlış anlaşılma olmasın. Gerçekten bilmediğimden soruyorum.


Her yeni sürümdeki :file: update_latest.php dosyası kendinden önceki değişiklikleri kapsar.

Kod: Tümünü seç
//
// Schema updates
//


diye başlayan satırlara dikkatli bakın. phpbb sürümüne göre bir switch ve bunların içinde de veritabanına göre switch ler var.
Kullanıcı avatarı
Matmazella
Site Yöneticisi
Site Yöneticisi
 
İleti: 2563
Kayıt: 30.06.2005, 09:08


Sürüm Güncelleme



Kimler çevrimiçi

Bu forumu görüntüleyenler: Kayıtlı kullanıcı yok ve 0 misafir

cron